
QGIS Application - Bug report #19886

QGIS application dialog can't be resized with the keyboard

2018-09-18 08:57 PM - Etienne Trimaille

Status: Closed

Priority: Normal

Assignee:

Category: GUI

Affected QGIS version:3.3(master) Regression?: Yes

Operating System: Ubuntu 18.04, might good to know if other OS are affected?Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 27710

Description

I'm running on Ubuntu 18.04, I'm very often using super + [left, bottom, right, up] to tile my windows from left, right, fullscreen.

I noticed that QGIS 3.3 is, I think, the only application I can't resize with my keyboard. It's working well for Firefox, Terminal, LibreOffice

etc.

I tried QGIS 2.18, it's working as expected. So something is preventing QGIS 3.3 to be resized with the keyboard on Ubuntu.

I can't try with another OS.

History

#1 - 2018-10-09 09:08 PM - Etienne Trimaille

I can confirm this issue on another computer, still with Ubuntu and QGIS 3.2.

It also doesn't work with the mouse dropping the window on the right/left border of the screen.

#2 - 2018-10-10 03:07 AM - Nyall Dawson

- Status changed from Open to Feedback

Does it work with other Qt applications?

#3 - 2018-10-10 03:56 AM - Etienne Trimaille

Yes, I tried with QtCreator, QtDesigner, VLC and Virtualbox. They all works well.

#4 - 2019-01-14 11:49 PM - Nyall Dawson

- Status changed from Feedback to Open

#5 - 2019-01-14 11:49 PM - Nyall Dawson

It's caused when the status bar contains too many widgets to fit within half the screen space. You need a bigger screen ;)

#6 - 2019-01-14 11:50 PM - Nyall Dawson
I'm tempted to close this -- it's not an issue with responding to the keyboard, it's just that the status bar contains too many widgets.

#7 - 2019-01-15 12:14 AM - Etienne Trimaille

- Status changed from Open to Closed

Thanks for checking.

Strange, I tried on the same laptop just now, it's working fine.

I will try tomorrow on my 2 computers at work.
